<?php  
  include("header.php");
  include("conexionOdo.php");
?>

<table align="center" width="960">
  <tr class="camposLista">
            <td width="100%"  align="center"><span class="icon-user-check" style="font-size:20px; color:rgba(41, 128, 185, 1);"> <span style="font-size:20px; font-family:Arial; color:#e67e22;"> CITAS ATENDIDAS </span> </span></td> 
   </tr>
</table>


<?php
  session_start();
  $s_identifica = $_SESSION['cedula'];
  $s_tipoId     = $_SESSION['tipoId'];
  $s_perfil     = $_SESSION['perfil'];
  
  // Realiza consulta de usuarios MySQL
     $query = "SELECT count(*) AS numC FROM SIO_CON_PACIENTE WHERE tipoId='$s_tipoId' AND idPaciente=$s_identifica";
     $result = mysql_query($query) or die('Consulta fallida: ' . mysql_error());
     $line = mysql_fetch_array($result, MYSQL_ASSOC);

     //asigna valores a variables de trabajo
     $consultas = $line["numC"];
     
     // Liberar resultados
     mysql_free_result($result);
  
  
   //  if ($consultas == 0)
   //  {
       // include("historiaClinica.php");
   //  }
   //  else
   //  {
       $query = "SELECT A.numConsulta, A.fechaConsulta, A.medConsulta, ".
                "  CONCAT(B.nomPaciente, ' ',  B.apell1paciente, ' ',  B.apell2Paciente) AS paciente, ".
                "  CONCAT(C.nomUsuario,  ' ',  C.apell1Usuario,  ' ',  C.apell2Usuario) AS usuario, ". 
                "  A.tipoHistoria AS tipo ".
                " FROM SIO_CON_PACIENTE A, SIME_BAS_PACIENTE B, SIME_BAS_N_USUARIOS C ".
                " WHERE A.idPaciente = B.idPaciente AND ".
                "       A.medConsulta= C.idUsuario  AND " .
                "       A.idPaciente = $s_identifica AND ".
                "       A.tipoId = '$s_tipoId' GROUP BY A.numConsulta ORDER BY A.numConsulta desc";
                              
       $result = mysql_query($query) or die('Consulta de lista de consultas fallida: ' . mysql_error());

       //$line = mysql_fetch_array($result, MYSQL_ASSOC);
  
       $cantRegistros=mysql_num_rows($result);
 
       $i=0;
       while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
       
           $s_numConsulta    = $line["numConsulta"];
           $s_fechaConsulta  = $line["fechaConsulta"];
           $s_medConsulta    = $line["medConsulta"];
           $s_paciente       = $line["paciente"];
           $s_usuario        = $line["usuario"];
           $s_tipo           = $line["tipo"];
           
           $s_paciente = 'Paciente: ' . $s_paciente .'  No. documento: '.$s_identifica;
           
           $queryMed = " SELECT CONCAT(nomUsuario, ' ', apell1Usuario, ' ', apell2Usuario ) AS medico " .
                       " FROM SIME_BAS_N_USUARIOS WHERE idUsuario = $s_medConsulta"; 
                       
           $resultMed = mysql_query($queryMed) or die('Consulta de nombre de medico fallida: ' . mysql_error());           
           $lineMed   = mysql_fetch_array($resultMed, MYSQL_ASSOC);
           $nomMedico = $lineMed["medico"]; 
           
         
           echo("<table class='camposTabla' align='center'  width='960' border='0' cellpading='0'>\n");
             //echo ("<form method='post' action='historiaClinica.php'>\n");
              if ($i==0){// para mostrar titulos 
                 echo ("<tr>\n");
                   echo   ("<td class='titulosTabla' align='center' colspan='4'>CONSULTAS REALIZADAS</td>\n");
                 echo("</tr>\n");
                 //echo("<tr>\n");
                 // echo   ("<td class='subtutulosTabla' align='left' colspan='4'>$s_paciente</td>\n");
                 //echo("</tr>\n");
                echo("<tr class='titulosLista'>\n");
                  echo("<td width='100'align='left'>Detalles</td>\n");
                  echo("<td width='100' align='left'>Tipo</td>\n");
                  echo("<td width='150' align='left'>Fecha</td>\n");
                  echo("<td width='250' align='center'>Atendida por</td>\n");
                  echo("<td width='200' align='left'>Notas Adicionales</td>\n");
                  echo("<td width='200' align='left'>Incapacidades</td>\n");
                echo("</tr>\n");
              }
              
            echo ("<tr class='camposLista'>\n");        
             if ($s_tipo == "TRATAMIENTO") {
              //trae numero de tratamiento
              $qNumtra = "select numtratamiento FROM SIO_TRATAMIENTO WHERE numConsulta=$s_numConsulta";
              $resultTra = mysql_query($qNumtra) or die('Consulta de numero de tratamiento fallida: ' . mysql_error());
              $lineTra = mysql_fetch_array($resultTra, MYSQL_ASSOC);
              $tratamiento = $lineTra['numtratamiento']; 
              //$tratamiento=" # ". 2908;
             }else
             {
              $tratamiento="";
             }
              
              
             if ($s_tipo=="TRATAMIENTO") 
             {
               $le  = $s_numConsulta;
               $leT = base64_encode($le);
               session_start();
               $_SESSION['cedula'] = $s_identifica;
               $_SESSION['tipoId'] = $s_tipoId;
               echo("<td width='100' align='left'><a href=sioHisTratCon.php?lin=$leT target='central'><span class='icon-zoom-in' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>$s_numConsulta</a></td>\n");
             }
             else
             {
               $lcH  = $s_tipo ."/" . $s_tipoId ."/" . $s_identifica . "/" . "CITAS" . "/" . $s_numConsulta;
               $lcH1 = base64_encode($lcH);

               echo("<td width='100' align='left'><a href=sioConHis.php?lin=$lcH1><span class='icon-zoom-in' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>$s_numConsulta</a></td>\n");
             }
             echo("<td width='100' align='left'>$s_tipo $tratamiento</td>\n");
            
             echo("<td width='150' align='left'>$s_fechaConsulta</td>\n");
                 
            echo("<td width='250' colspan='3' align='left'><i>$nomMedico</i></td>\n");
              
             
            //if($s_perfil=="O")
           // {
              echo("<td width='200' align='left'><a href=notasAdicionales.php?numConsulta=$s_numConsulta&tipo=$s_tipo&tipoId=$s_tipoId&identifica=$s_identifica><span class='icon-blog' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>Notas Adicionales</b></td>\n");
           // }
            
          
             echo("<td width='200' align='left'><a href=sioLstIncapacidad.php?numConsulta=$s_numConsulta&tipo=$s_tipo><span class='icon-folder-plus' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>Incapacidades</b></td>\n");
          
            
            
            echo ("</tr>\n");
            $i = $i+1;
       }//while    
           
       if ($i==0)
       {
         echo("<table align= 'center' class='camposTabla' width='960'  border='1' cellpading='0'>\n");
           echo("<tr>\n");
             echo("<td class='titulosTabla' align='center'>El paciente no tiene historias odontol&oacute;gicas relacionadas</td>\n");
           echo("</tr>\n");
         //echo ("</table>\n") ;    
       }

     ?>
</table>
       
</form>  

<?php
/*
 <tr> 
  //  esta va al final de la tabla antes de los input hidden<td align="center"> 
//<a href=menuOpciones.php?e_nitEmpresa=<?=$s_nitEmpresa?>&e_codSede=<?=$s_codSede?>&e_idUsuario=<?=$s_idUsuario?>&e_usuario=<?=$s_usuaUrlCode?>&e_empresa=<?=$s_empresaUrlCode?>&e_cargo=<?=$s_cargoUrlCode?>><img src="/imagenes/btnVol.jpg"></a></td>
</tr>
*/
//}
?>
 
<?php
 // Liberar resultados
 mysql_free_result($result);
 // Cerrar la conexion
 mysql_close($link);
?>
  </BODY>
  
           

</HTML>